Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.inference.gbp
Class FullMessageStrategy

    java.lang.Object
      cc.mallet.grmm.inference.gbp.AbstractMessageStrategy
          cc.mallet.grmm.inference.gbp.FullMessageStrategy

All Implemented Interfaces:
  MessageStrategy

    public class FullMessageStrategy

extends AbstractMessageStrategy

A first implementation of MessageStrategy that assumes that a BP region graph is being used. Created: May 29, 2005

Version:
  $Id: FullMessageStrategy.java,v 1.1 2007/10/22 21:37:58 mccallum Exp $
Author:

  Field Summary

  Fields inherited from class cc.mallet.grmm.inference.gbp.AbstractMessageStrategy
  `newMessages, oldMessages`

  Constructor Summary
  `FullMessageStrategy()`

  Method Summary
  `cc.mallet.grmm.inference.gbp.MessageArray` | `averageMessages(cc.mallet.grmm.inference.gbp.RegionGraph rg, cc.mallet.grmm.inference.gbp.MessageArray a1, cc.mallet.grmm.inference.gbp.MessageArray a2, double inertiaWeight)`
  `void` | `sendMessage(cc.mallet.grmm.inference.gbp.RegionEdge edge)`

  Methods inherited from class cc.mallet.grmm.inference.gbp.AbstractMessageStrategy
  `getNewMessages, getOldMessages, setMessageArray`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### FullMessageStrategy

      public FullMessageStrategy()

  Method Detail

  ### sendMessage

      public void sendMessage(cc.mallet.grmm.inference.gbp.RegionEdge edge)

  ### averageMessages

      public cc.mallet.grmm.inference.gbp.MessageArray averageMessages(cc.mallet.grmm.inference.gbp.RegionGraph rg,
                                                                       cc.mallet.grmm.inference.gbp.MessageArray a1,
                                                                       cc.mallet.grmm.inference.gbp.MessageArray a2,
                                                                       double inertiaWeight)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD